Package org.bedework.synch.wsmessages

# Class ConnectorInfoType

java.lang.Object
org.bedework.synch.wsmessages.ConnectorInfoType

public class ConnectorInfoType extends Object
The name of the connector and properties required to make a connection

Java class for ConnectorInfoType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConnectorInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="connectorId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="properties" type="{http://www.bedework.org/synch/wsmessages}ArrayOfSynchProperties"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `connectorId`
  `protected ArrayOfSynchProperties`
  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectorInfoType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConnectorId()`
  Gets the value of the connectorId property.
  `ArrayOfSynchProperties`
  `getProperties()`
  Gets the value of the properties property.
  `void`
  `setConnectorId(String value)`
  Sets the value of the connectorId property.
  `void`
  `setProperties(ArrayOfSynchProperties value)`
  Sets the value of the properties property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### connectorId

    protected String connectorId

  - ### properties

    protected ArrayOfSynchProperties properties

- ## Constructor Details

  - ### ConnectorInfoType

    public ConnectorInfoType()

- ## Method Details

  - ### getConnectorId

    public String getConnectorId()
    Gets the value of the connectorId property.
    Returns:
      possible object is `String`

  - ### setConnectorId

    public void setConnectorId(String value)
    Sets the value of the connectorId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getProperties

    public ArrayOfSynchProperties getProperties()
    Gets the value of the properties property.
    Returns:
      possible object is `ArrayOfSynchProperties`

  - ### setProperties

    public void setProperties(ArrayOfSynchProperties value)
    Sets the value of the properties property.
    Parameters:
      `value` - allowed object is `ArrayOfSynchProperties`